package com.hzya.frame.plugin.zxBank.plugin;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.base.PluginBaseEntity;
import com.hzya.frame.seeyon.zxbank.service.IZxBankService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

public class ZxBankPluginInitializer extends PluginBaseEntity {

    Logger logger = LoggerFactory.getLogger(ZxBankPluginInitializer.class);
    @Autowired
    private IZxBankService zxBankService;

    @Override
    public void initialize() {
        logger.info(getPluginLabel() + "執行初始化方法initialize()");
    }

    @Override
    public void destroy() {
        logger.info(getPluginLabel() + "執行銷毀方法destroy()");
    }

    @Override
    public String getPluginId() {
        return "ZxBankPluginInitializer";
    }

    @Override
    public String getPluginName() {
        return "ZxBankPluginInitializer插件";
    }

    @Override
    public String getPluginLabel() {
        return "ZxBankPluginInitializer";
    }

    @Override
    public String getPluginType() {
        return "1";
    }
    @Override
    public JsonResultEntity executeBusiness(JSONObject requestJson) {
        try {
            logger.info("======开始执行杭泰付款单同步========");
            return zxBankService.queryArchives(requestJson);
        }catch (Exception e){
            logger.info("======执行杭泰付款单同步失败:{}========",e.getMessage());
            e.printStackTrace();
        }
        return null;
    }
}
